Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GroupCallParticipant

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.GroupCallParticipant

Enclosing class:
  TdApi

public static final class TdApi.GroupCallParticipant extends TdApi.Object
Represents a group call participant.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`audioSourceId`
User's audio channel synchronization source identifier.
`String`
`bio`
The participant user's bio or the participant chat's description.
`boolean`
`canBeMutedForAllUsers`
True, if the current user can mute the participant for all other group call participants.
`boolean`
`canBeMutedForCurrentUser`
True, if the current user can mute the participant only for self.
`boolean`
`canBeUnmutedForAllUsers`
True, if the current user can allow the participant to unmute themselves or unmute the participant (if the participant is the current user).
`boolean`
`canBeUnmutedForCurrentUser`
True, if the current user can unmute the participant for self.
`boolean`
`canUnmuteSelf`
True, if the participant is muted for all users, but can unmute themselves.
`static final int`
`CONSTRUCTOR`
`boolean`
`isCurrentUser`
True, if the participant is the current user.
`boolean`
`isHandRaised`
True, if the participant hand is raised.
`boolean`
`isMutedForAllUsers`
True, if the participant is muted for all users.
`boolean`
`isMutedForCurrentUser`
True, if the participant is muted for the current user.
`boolean`
`isSpeaking`
True, if the participant is speaking as set by setGroupCallParticipantIsSpeaking.
`String`
`order`
User's order in the group call participant list.
`TdApi.MessageSender`
`participantId`
Identifier of the group call participant.
`int`
`screenSharingAudioSourceId`
User's screen sharing audio channel synchronization source identifier.
`TdApi.GroupCallParticipantVideoInfo`
`screenSharingVideoInfo`
Information about user's screen sharing video channel; may be null if there is no active screen sharing video.
`TdApi.GroupCallParticipantVideoInfo`
`videoInfo`
Information about user's video channel; may be null if there is no active video.
`int`
`volumeLevel`
Participant's volume level; 1-20000 in hundreds of percents.

## Constructor Summary

Constructors
Constructor
Description
`GroupCallParticipant()`
Represents a group call participant.
`GroupCallParticipant(TdApi.MessageSender participantId, int audioSourceId, int screenSharingAudioSourceId, TdApi.GroupCallParticipantVideoInfo videoInfo, TdApi.GroupCallParticipantVideoInfo screenSharingVideoInfo, String bio, boolean isCurrentUser, boolean isSpeaking, boolean isHandRaised, boolean canBeMutedForAllUsers, boolean canBeUnmutedForAllUsers, boolean canBeMutedForCurrentUser, boolean canBeUnmutedForCurrentUser, boolean isMutedForAllUsers, boolean isMutedForCurrentUser, boolean canUnmuteSelf, int volumeLevel, String order)`
Represents a group call participant.
`GroupCallParticipant(DataInput input)`
Represents a group call participant.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### participantId

public TdApi.MessageSender participantId
Identifier of the group call participant.

### audioSourceId

public int audioSourceId
User's audio channel synchronization source identifier.

### screenSharingAudioSourceId

public int screenSharingAudioSourceId
User's screen sharing audio channel synchronization source identifier.

### videoInfo

public TdApi.GroupCallParticipantVideoInfo videoInfo
Information about user's video channel; may be null if there is no active video.

### screenSharingVideoInfo

public TdApi.GroupCallParticipantVideoInfo screenSharingVideoInfo
Information about user's screen sharing video channel; may be null if there is no active screen sharing video.

### bio

public String bio
The participant user's bio or the participant chat's description.

### isCurrentUser

public boolean isCurrentUser
True, if the participant is the current user.

### isSpeaking

public boolean isSpeaking
True, if the participant is speaking as set by setGroupCallParticipantIsSpeaking.

### isHandRaised

public boolean isHandRaised
True, if the participant hand is raised.

### canBeMutedForAllUsers

public boolean canBeMutedForAllUsers
True, if the current user can mute the participant for all other group call participants.

### canBeUnmutedForAllUsers

public boolean canBeUnmutedForAllUsers
True, if the current user can allow the participant to unmute themselves or unmute the participant (if the participant is the current user).

### canBeMutedForCurrentUser

public boolean canBeMutedForCurrentUser
True, if the current user can mute the participant only for self.

### canBeUnmutedForCurrentUser

public boolean canBeUnmutedForCurrentUser
True, if the current user can unmute the participant for self.

### isMutedForAllUsers

public boolean isMutedForAllUsers
True, if the participant is muted for all users.

### isMutedForCurrentUser

public boolean isMutedForCurrentUser
True, if the participant is muted for the current user.

### canUnmuteSelf

public boolean canUnmuteSelf
True, if the participant is muted for all users, but can unmute themselves.

### volumeLevel

public int volumeLevel
Participant's volume level; 1-20000 in hundreds of percents.

### order

public String order
User's order in the group call participant list. Orders must be compared lexicographically. The bigger is order, the higher is user in the list. If order is empty, the user must be removed from the participant list.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GroupCallParticipant

public GroupCallParticipant()
Represents a group call participant.

### GroupCallParticipant

public GroupCallParticipant(TdApi.MessageSender participantId, int audioSourceId, int screenSharingAudioSourceId, TdApi.GroupCallParticipantVideoInfo videoInfo, TdApi.GroupCallParticipantVideoInfo screenSharingVideoInfo, String bio, boolean isCurrentUser, boolean isSpeaking, boolean isHandRaised, boolean canBeMutedForAllUsers, boolean canBeUnmutedForAllUsers, boolean canBeMutedForCurrentUser, boolean canBeUnmutedForCurrentUser, boolean isMutedForAllUsers, boolean isMutedForCurrentUser, boolean canUnmuteSelf, int volumeLevel, String order)
Represents a group call participant.

Parameters:
  `participantId` - MessageSender Identifier of the group call participant.
  `audioSourceId` - int User's audio channel synchronization source identifier.
  `screenSharingAudioSourceId` - int User's screen sharing audio channel synchronization source identifier.
  `videoInfo` - GroupCallParticipantVideoInfo Information about user's video channel; may be null if there is no active video.
  `screenSharingVideoInfo` - GroupCallParticipantVideoInfo Information about user's screen sharing video channel; may be null if there is no active screen sharing video.
  `bio` - String The participant user's bio or the participant chat's description.
  `isCurrentUser` - boolean True, if the participant is the current user.
  `isSpeaking` - boolean True, if the participant is speaking as set by setGroupCallParticipantIsSpeaking.
  `isHandRaised` - boolean True, if the participant hand is raised.
  `canBeMutedForAllUsers` - boolean True, if the current user can mute the participant for all other group call participants.
  `canBeUnmutedForAllUsers` - boolean True, if the current user can allow the participant to unmute themselves or unmute the participant (if the participant is the current user).
  `canBeMutedForCurrentUser` - boolean True, if the current user can mute the participant only for self.
  `canBeUnmutedForCurrentUser` - boolean True, if the current user can unmute the participant for self.
  `isMutedForAllUsers` - boolean True, if the participant is muted for all users.
  `isMutedForCurrentUser` - boolean True, if the participant is muted for the current user.
  `canUnmuteSelf` - boolean True, if the participant is muted for all users, but can unmute themselves.
  `volumeLevel` - int Participant's volume level; 1-20000 in hundreds of percents.
  `order` - String User's order in the group call participant list. Orders must be compared lexicographically. The bigger is order, the higher is user in the list. If order is empty, the user must be removed from the participant list.

### GroupCallParticipant

public GroupCallParticipant(DataInput input) throws IOException
Represents a group call participant.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`